package com.keao.edu.common.entity;

import com.keao.edu.common.enums.MessageTypeEnum;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_message_config):
 */
public class SysMessageConfig {

	/**  */
	private Integer id;

	/** 消息类型 */
	private MessageTypeEnum messageType;

	/** 消息内容 */
	private String content;

	/** 描述 */
	private String description;

	/** 最后修改时间 */
	private java.util.Date modifyOn;

	/** 跳转url */
	private String url;
	
	private String group;

	private Integer sendFlag;

	public Integer getSendFlag() {
		return sendFlag;
	}

	public void setSendFlag(Integer sendFlag) {
		this.sendFlag = sendFlag;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getId() {
		return this.id;
	}

	public MessageTypeEnum getMessageType() {
		return messageType;
	}

	public void setMessageType(MessageTypeEnum messageType) {
		this.messageType = messageType;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getContent() {
		return this.content;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getDescription() {
		return this.description;
	}

	public void setModifyOn(java.util.Date modifyOn) {
		this.modifyOn = modifyOn;
	}

	public java.util.Date getModifyOn() {
		return this.modifyOn;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getUrl() {
		return this.url;
	}

	public String getGroup() {
		return group;
	}

	public void setGroup(String group) {
		this.group = group;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
